Summary:	Sphinx extension to link to external Doxygen API documentation
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do łączenia z zewnętrzną dokumentacją API z Doxygena
Name:		python-sphinxcontrib-doxylink
Version:	1.3
Release:	14
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/sphinxcontrib-doxylink/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinxcontrib-doxylink/sphinxcontrib-doxylink-%{version}.tar.gz
# Source0-md5:	f6800726c2d31bcd6b4a65d40852881f
Patch0:		Force-qualifier-result-to-be-a-single-string.patch
URL:		https://pypi.org/project/sphinxcontrib-doxylink/
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-Sphinx >= 0.6
Requires:	python-pyparsing
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx extension to link to external Doxygen API documentation.

%description -l pl.UTF-8
Rozszerzenie Sphinksa do łączenia z zewnętrzną dokumentacją API z
Doxygena.

%prep
%setup -q -n sphinxcontrib-doxylink-%{version}
%patch -P0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst
%dir %{py_sitescriptdir}/sphinxcontrib
%{py_sitescriptdir}/sphinxcontrib/doxylink
%{py_sitescriptdir}/sphinxcontrib_doxylink-%{version}-py*.egg-info
%{py_sitescriptdir}/sphinxcontrib_doxylink-%{version}-py*-nspkg.pth
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sphinxcontrib-doxylink.git;a=log;h=master

* Wed May 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 682b9f0
- Rel 14; python3 in python3-sphinxcontrib-doxylink.spec

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 30e27f6
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> cae3287
- Release 12 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 441de8b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0902fd6
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 53369f2
- release 9 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> d062b29
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e19ef0e
- rebuild with python 3.8
- release 8 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b1f2411
- release 7 (by relup.sh)

* Fri Jan 27 2017 Jan Rękorajski <baggins@pld-linux.org> 771c074
- added patch from Debian to fix breakage caused by python-pyparsing 2.1.10
- rel 6

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cbc31b
- python 3.6
- release 5 (by relup.sh)

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 0b804ae
- really fix module name

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 850b021
- fix python3 package name
- rel 4

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 0da7d41
- added python3 package
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 3c9c505
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 36ec8d6
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ba5368f
- automatic change: use py_build/py_install macros

* Fri Dec 21 2012 Jakub Bogusz <qboosh@pld-linux.org> e54ec87
- updated to 1.3

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> ee3bcb5
- new

